#include "cEdgeComparator.h"

bool cEdgeComparator::operator()(const cEdge& e1, const cEdge& e2) const
{
    if(e1.v0_->x_ > e2.v0_->x_) return true;
    if(e1.v0_->x_ < e2.v0_->x_) return false;
    
    if(e1.v1_->x_ > e2.v1_->x_) return true;
    if(e1.v1_->x_ < e2.v1_->x_) return false;
    
    if(e1.v0_->y_ > e2.v0_->y_) return true;
    if(e1.v0_->y_ < e2.v0_->y_) return false;
    
    if(e1.v1_->y_ > e2.v1_->y_) return true;
    if(e1.v1_->y_ < e2.v1_->y_) return false;
    
    if(e1.v0_->z_ > e2.v0_->z_) return true;
    if(e1.v0_->z_ < e2.v0_->z_) return false;
    
    if(e1.v1_->z_ > e2.v1_->z_) return true;
    if(e1.v1_->z_ < e2.v1_->z_) return false;
    
    return false;
}